! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file cases.f90

subroutine cases(numalfa,numbeta,case_number)

implicit none

integer, intent(in) :: numalfa,numbeta
integer, intent(out) :: case_number

if (numalfa .eq. 1 .and. numbeta .eq. 1) then
    case_number = 1
elseif (numalfa .eq. 1 .and. numbeta .ne. 1) then
    case_number = numbeta
elseif (numalfa .ne. 1 .and. numbeta .eq. 1) then
    case_number = numalfa
else
    case_number = numalfa+numbeta
endif

return
end subroutine

